2019-11-18 21:57 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000379mercuryBugpublic2015-02-19 01:38
Reportermvd23jsdf4 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSFedoraOS Version21
Product Version 
Target VersionFixed in Version 
Summary0000379: GCC 4.9.2 Giving Error
DescriptionThe GCC (version 4.9.2) on Fedora 21 is showing warnings on compile. See the attached file crypt.m.
Steps To Reproduce    [mercuryuser@localhost crypt]$ mmc --make --debug crypt
    Making Mercury/int3s/crypt.int3
    Making Mercury/ints/crypt.int
    Making Mercury/cs/crypt.c
    Making Mercury/os/crypt.o
    Making crypt
    In file included from /usr/include/stdlib.h:24:0,
                     from /home/mercuryuser/local/lib/mercury/inc/mercury_std.h:23,
                     from /home/mercuryuser/local/lib/mercury/inc/mercury_goto.h:13,
                     from /home/mercuryuser/local/lib/mercury/inc/mercury_init.h:84,
                     from Mercury/cs/crypt_init.c:18:
    /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
     # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
       ^
    In file included from /usr/include/stdlib.h:24:0,
                     from /home/mercuryuser/local/lib/mercury/inc/mercury_std.h:23,
                     from /home/mercuryuser/local/lib/mercury/inc/mercury_goto.h:13,
                     from /home/mercuryuser/local/lib/mercury/inc/mercury_init.h:84,
                     from Mercury/cs/crypt_init.c:18:
    /usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
     # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    ... error log truncated, see `crypt.err' for the complete log.

TagsNo tags attached.
Attached Files
  • ? file icon crypt.m (1,147 bytes) 2015-02-18 02:06

-Relationships
+Relationships

-Notes

~0000812

juliensf (administrator)

The generated _init.c files define _BSD_SOURCE for some reason.

~0000813

juliensf (administrator)

Fixed in commit b70619d.
+Notes

-Issue History
Date Modified Username Field Change
2015-02-18 02:06 mvd23jsdf4 New Issue
2015-02-18 02:06 mvd23jsdf4 File Added: crypt.m
2015-02-19 01:16 juliensf Assigned To => juliensf
2015-02-19 01:16 juliensf Status new => assigned
2015-02-19 01:18 juliensf Note Added: 0000812
2015-02-19 01:38 juliensf Note Added: 0000813
2015-02-19 01:38 juliensf Status assigned => resolved
2015-02-19 01:38 juliensf Resolution open => fixed
+Issue History